<?php

namespace AppBundle\Repository;

/**
 * ScaglioniRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ScaglioniRepository extends \Doctrine\ORM\EntityRepository
{

    
    
   public function findInterval($prezzo){
        return $this->getEntityManager()
            ->createQuery(
              'SELECT e
                FROM AppBundle:Scaglioni e
                WHERE  e.min < :prz AND  e.max >= :prz'
                   )
            ->setParameter('prz', $prezzo)
            ->getResult();
        
    }
    
}
